Ubuntu

Look into switching to bluez 4.x

Reported by Mario Limonciello on 2008-09-26
52
This bug affects 2 people
Affects Status Importance Assigned to Milestone
alsa-lib (Ubuntu)
Undecided
Mario Limonciello
bluez (Ubuntu)
Undecided
Mario Limonciello
bluez-gnome (Ubuntu)
Undecided
Mario Limonciello
gnome-user-share (Ubuntu)
Undecided
Baptiste Mille-Mathias
gvfs (Ubuntu)
Wishlist
Mario Limonciello
nautilus-sendto (Ubuntu)
Undecided
Nathan Handler
obex-data-server (Ubuntu)
Undecided
Mario Limonciello

Bug Description

BlueZ 4.x resolves two regressions that are seen in the 3.x stack on Intrepid.

Regressions solved
-------
* Keyboards aren't able to pair in the UI.
   - Reverting to an earlier release of bluez-utils is not a good solution as a lot of bugs were fixed related to Symbian OBEX by coming up to 3.36.
   - This happens with the latest version of bluez-gnome (0.28) as well.

* Broken services tab
  - In the 3.x stack, the services tab is unfortunately the only way to activate new devices.
  - This is fixed in bluez-gnome 0.28 or anything later. However you need to switch to a package in the 1.x series when using the Bluez 4.x stack.

Newer features
------
The 4.x version brings an additional UI element, a pairing wizard. This may cause problems for documentation teams, but considering the previous UI was not intuitive, there likely hasn't been a lot of documentation on it.

Testing
------
The entire stack that needs to be changed for this bug is available on the Bluetooth team testing PPA at http://launchpad.net/~bluetooth/+archive .
 * Builds are all verified functional for i386, amd64, lpia
 * These builds have all been test installed by adding the PPA to an up to date Intrepid and doing a dist-upgrade.
 * An upgrade from a base install of hardy to one of intrepid while using the PPA as an active repository was also tested. Modifications had to be made to update-manager to test this behavior (since the PPA is not authenticated). There were no upgrade issues.
 * Functionality has been verified for keyboards, mice using both Rocketfish & Apple keyboards and mice.
 * Functionality has been verified for OBEX browsing, OBEX sending, and DUN via rfcomm on a Blackberry 8130.
 * Functionality has been verified for Audio headsets using the "headset" device.

Changed in bluez-utils:
assignee: nobody → superm1
status: New → In Progress
Changed in bluez-gnome:
assignee: nobody → superm1
status: New → In Progress
Mario Limonciello (superm1) wrote :

Code can be observed in my branch, and PPA @ https://bugs.edge.launchpad.net/~superm1/+archive
Current version in the ppa reflects:
* bluez gnome bzr #3
* bluez bzr #6

Mario Limonciello (superm1) wrote :

Okay the keyboard pairing now works with with the packages on the bluetooth team PPA.

https://launchpad.net/~bluetooth/+archive

Mario Limonciello (superm1) wrote :

I'm subscribing ubuntu-release to get their input on switching this late in.

Mario Limonciello (superm1) wrote :

Also subscribing ubuntu-mobile, because their hildon patches had to be dropped in this version with the new bluetooth-wizard available. How's this effect you?

description: updated
description: updated
Emmet Hikory (persia) wrote :

This makes my keyboard work for both GNOME and Hildon environments. Dropping the hildon patch makes the preferences interface very cramped in hildon.

switching to bluez 4.xx will requires to have patch for all applications based on bluez 3.x. I know that fedora 10 will have bluez 4 some, chances are we come steal patches from there.

What patches and applicactions are you referring to? Bluez 4.x will
only operate with bluez gnome in the 1.x series. Obex data server may
need to be patched (looking). What's left?

On 09/27/2008, Baptiste Mille-Mathias <email address hidden> wrote:
> switching to bluez 4.xx will requires to have patch for all applications
> based on bluez 3.x. I know that fedora 10 will have bluez 4 some,
> chances are we come steal patches from there.
>
> --
> Look into switching to bluez 4.x
> https://bugs.launchpad.net/bugs/274950
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Sent from my mobile device

Mario Limonciello
<email address hidden>

Mario Limonciello (superm1) wrote :

Would you mind adding that to our current package, adding a task to
this bug and uploading to the Bluetooth PPA so the entire solution can
be evaluated?

On 09/27/2008, Baptiste Mille-Mathias <email address hidden> wrote:
> at least I know gnome-user-share
> (http://cvs.fedoraproject.org/viewvc/rpms/gnome-user-share/devel/gus-
> bluez4-update.patch?revision=1.1&view=markup)
>
> --
> Look into switching to bluez 4.x
> https://bugs.launchpad.net/bugs/274950
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Sent from my mobile device

Mario Limonciello
<email address hidden>

Matti Lindell (mlind) wrote :

I cannot figure out how to send or receive files using bluez 4.x. Sending from PC to phone fails with message 'Method "CreateBluetoothSession" with signature "sss" on interface "org.openobex.Manager" doesn't exist'. Sending from phone to PC fails as phone cannot find PC's bluetooth device/filesharing interface.

Browse functionality works okay with Intrepid's obex-data-server. Not sure why upstream is offering their own obex server alternative called obexd though. This should be checked as well.

same than Matti here

Mario Limonciello (superm1) wrote :

obex-data-server needs to be patched. I'm working off a variant of the patch in F10. Once i've got that together i'll add it to the PPA.

Changed in obex-data-server:
assignee: nobody → superm1
status: New → In Progress
Matti Lindell (mlind) wrote :

Mario is okay if I file FFe request for obex-data-server 0.3.4 as the new version fixes annoying UTF-16 conversion bug? It's a bugfix release only and shouldn't cause any hassle with your patchwork.

Onkar Shinde (onkarshinde) wrote :

AFAIK, the browsing functionality is provided by gvfs and not obex-data-server. obex-data-server simply provides file receiving functionality.

I hope to find some time in a day or two to test these packages.

Changed in gnome-user-share:
assignee: nobody → bmillemathias
status: New → In Progress
Changed in gvfs:
assignee: nobody → superm1
status: New → In Progress
Mario Limonciello (superm1) wrote :

Matti:

Actually a newer snapshot is needed it looks like to enable 4.x compatibility. I tested the gvfs backend and browsing files.

Matti Lindell (mlind) wrote :

Okay, I'll give a go to the obex-data-server in the bluetooth PPA then.

Mario Limonciello (superm1) wrote :

I've verified with the 1.5.0~ppa5 version of bluez-gnome that OBEX sendto and browsing functionality work.

The entire stack that we had in hardy should be regressionless with these packages now.

Mario Limonciello (superm1) wrote :

Here's the diffstat for obex-data-server

Mario Limonciello (superm1) wrote :

Here's the diffstat for bluez-gnome

Mario Limonciello (superm1) wrote :

The diffstat for bluez is a bit undefined. More or less bluez-utils and bluez-libs merged. To do this diffstat, I copied all of bluez-libs into the bluez-utils tree, and then ran a diffstat. Take it with a (rather large) grain of salt.

description: updated
Matti Lindell (mlind) wrote :

There's at least one upgrade related issue remaining that should be resolved.

After installing bluez package and then trying to purge bluez-utils package, the following error occurs:
update-rc.d: /etc/init.d/bluetooth exists during rc.d purge (use -f to force)
dpkg: error processing bluez-utils (--purge):
 subprocess post-removal script returned error exit status 1
Errors were encountered while processing:
 bluez-utils

Package states before the purge:
ii bluez 4.7-0ubuntu1~ppa6
rc bluez-audio 3.36-1ubuntu2
ii bluez-cups 4.7-0ubuntu1~ppa6
ii bluez-gnome 1.5-0ubuntu1~ppa6
rc bluez-network 3.36-1ubuntu2
rc bluez-utils 3.36-1ubuntu2

I'm still unable to send files from phone to PC, but everything else works okay. (I was using obex-data-server 0.3.4+svn1951-0ubuntu1~ppa1 if it matters).

Mario Limonciello (superm1) wrote :

Hi Matti:

You need to setup gnome-user-share to do that. That behavior isn't in bluez anymore as I understand. That's an interesting upgrade problem regarding bluez-utils since they share the same init scripts but bluez-utils isn't a package anymore. I'll think about it.

Mario Limonciello (superm1) wrote :

Matti:
Thanks for catching that case, the bluez 4.7-0ubuntu1~ppa7 version should gracefully handle that.

Christoph Langner (chrissss) wrote :

Following up on bug #275593 ...

Installed bluez 4.x through the PPA. The results...

The good side

 * Pairing works again
 * The mouse feels much better. In Hardy i always thought "does a bt mouse always feels so sluggy?". The mouse now feels like a normal cable bound mouse.
 * I had some strange entries inside the services tab, since the dialog is completely changed, this bug is gone

The bad side

 * Transmitting a file to a WM6 pda via BT still fails (didn't work before)
 * Browsing a WM6 pda via BT still doesn't work (didn't work before)

Later i can test file transfers and browsing with a SE W660i cell phone.

description: updated
Marcel Holtmann (holtmann) wrote :

The problem with HID pairing (mouse/keyboard) has nothing to do with the btusb driver. They are not related at all.

description: updated
description: updated
Emmet Hikory (persia) wrote :

I've tested this suite in the MID live environment.

The layout is a little cramped at 800x600, but acceptable at 1024x600. The hildon patch is no longer required with this set of packages.

Pairing with a keyboard worked, and the keyboard was then usable.

Pairing with a headset worked, although there was no obvious way to configure the sound. This is probably addressed by having bluez-alsa installed at boot time, and having a more advanced volume control (as provided in GNOME).

Pairing for filesystem sharing worked (hardy laptop, commercial MID). Sending files from the new stack to the target device worked. Browsing the target device remained disabled. Sending files from the target device to the testing device was unsuccessful.

bluetooth networking, and bluetooth serial were not tested.

Emmet Hikory (persia) wrote :

Testing again, with 4.9/1.6 in a Desktop live environment.

Layout looks great at 800x600. The change from text to icons really helps. Would still overflow vertically without the patch.

Pairing with keyboard worked. No issues.

Pairing with headset worked. Nothing shows in lshal, nor in the volume control, but this may be due to the live environment, and not having reset hal or alsa.

Pairing for filesystem sharing worked (same clients). Sending files from the new stack to the target device worked. Browsing the target device worked, including pulling files. Receiving files did not work: this may be due to not having installed the updated gnome-user-share. I could find a configuration to set a target directory for received files. I was unable to browse files from a remote device.

bluetooth networking, bluetooth printing, and bluetooth serial were not tested.

Christoph Langner (chrissss) wrote :

Installed the latest packages

$ dpkg -l bluez*
[...]
ii bluez 4.9-0ubuntu1~ppa1 Bluetooth tools and daemons
ii bluez-alsa 4.9-0ubuntu1~ppa1 Bluetooth audio support
rc bluez-audio 3.36-1ubuntu2 Bluetooth audio support
ii bluez-cups 4.9-0ubuntu1~ppa1 Bluetooth printer driver for CUPS
un bluez-firmware <keine> (keine Beschreibung vorhanden)
ii bluez-gnome 1.6-0ubuntu1~ppa1 Bluetooth utilities for GNOME
ii bluez-gstreamer 4.9-0ubuntu1~ppa1 Bluetooth gstreamer support
pn bluez-input <keine> (keine Beschreibung vorhanden)
rc bluez-network 3.36-1ubuntu2 Bluetooth network support
un bluez-passkey-gnom <keine> (keine Beschreibung vorhanden)
pn bluez-serial <keine> (keine Beschreibung vorhanden)
rc bluez-utils 3.36-1ubuntu2 Bluetooth tools and daemons
toff@stein:~$

 * Pairing with BT mouse works
 * Dialog has now the right size
 * Pairing with BT heaset works
        - But i can't find it inside my audio settings
        - output of lshal inside attachment
 * I'm not able to send a file via "Send To" to a BT device. The dialog is missing BT devices
 * Receiving a file sent from a HTC Prophet with WM 6.1 fails

Files transfer is working fine my laptop (T61) to my Sony-Ericson phone after obex-data-server upgrade.
I can't have the reception working on the server, with gnome-user-share.

I have just a problem with the new UI of the devices list, I'm really fond of this horizontal layout, moreover, I see some troubles:
- the 2 parts of the local bluetooh device, when you expand horizontally, have the same size; only the list should be expanded.
- the icons under the list have no label.

Thanks for the work guy

Mario Limonciello (superm1) wrote :

Per the comments about audio, i've done an upload of bluez 4.9-0ubuntu1~ppa2 and alsa-lib-1.0.17a-0ubuntu4~ppa1. These will create an additional ALSA device that is usable when paired. Test it with aplay:

aplay -D headset $FILE

aplay will receive IO errors when not paired if you use this device. There are no side effects with regular usage (not headset device). When the device is paired but out of range, there will be delayed responses to the applications trying to use it as IO errors time out.

Changed in alsa-lib:
assignee: nobody → superm1
status: New → In Progress
description: updated
Marcel Holtmann (holtmann) wrote :

ALSA has no enumeration for virtual devices and every Bluetooth headset is a virtual device. We discussed this at PlumbersConf and might get into the direction to allow enumeration via the "hint" API with plugins to enumerate virtual devices, but we are not there yet.

This also means that these devices will not show up in HAL.

Marcel Holtmann (holtmann) wrote :

The init script should be /etc/init.d/bluetooth and not "bluetoothd", please use what all other distros are using and not try to make up something.

Mario Limonciello (superm1) wrote :

OK: I've uploaded bluez_4.9-0ubuntu1~ppa3 to the PPA. This returns the init script back to bluetooth.

Also: this switches the binary package names back to what we had before (bluez-utils and bluez-audio). The stuff that was in bluez-gstreamer and bluez-alsa is now part of bluez-audio. The stuff that was in bluez is now part of bluez-utils.

The reason for this is so that we don't stray from what debian has this late in the cycle. If debian decides to not choose that naming scheme, we would have a very complicated situation come Jaunty. The debian maintainer was not available for immediate feedback so this is a saner solution for now.

The unfortunate consequence of this is that people who activated the PPA won't have a clean upgrade from the ppa2 to ppa3 version. Sorry about that :(

Upgrades should be properly handled still for Intrepid mainline users though.

Marcel Holtmann (holtmann) wrote :

The Debian naming scheme is broken. You did it right, but now you are falling back to something totally broken while Fedora and OpenSuSE get it right.

Tell the Debian maintainers to follow upstream proposal and stop messing around with things they have no clue about.

Mario Limonciello (superm1) wrote :

After some discussion in #ubuntu-motu, we've realize that we haven't been in sync with Debian since about hoary. During Jaunty, we'll try to get them to adapt our packaging scheme.

I've reverted the last commit and we are now using the packaging scheme that upstream recommended. Additionally, there is now a transitional bluez-utils package solely for the purpose of allowing users to use the same new init script name (/etc/init.d/bluetooth).

Changed in gvfs:
importance: Undecided → Wishlist
Christoph Langner (chrissss) wrote :

Using 4.9-0ubuntu1~ppa7 here. Pairing of a BT mouse works, but when i reboot my computer the paring doesn't work any more. I can move the mouse, but the mouse cursor doesn't move. I've got to remove the mouse out of the "known devices" list and pair it again. I can reproduce this after every reboot.

$ dpkg -l bluez* | grep ii
ii bluez 4.9-0ubuntu1~ppa7 Bluetooth tools and daemons
ii bluez-alsa 4.9-0ubuntu1~ppa7 Bluetooth audio support
ii bluez-cups 4.9-0ubuntu1~ppa7 Bluetooth printer driver for CUPS
ii bluez-gnome 1.7-0ubuntu1~ppa1 Bluetooth utilities for GNOME
ii bluez-gstreamer 4.9-0ubuntu1~ppa7 Bluetooth gstreamer support
ii bluez-utils 4.9-0ubuntu1~ppa7 Transitional package

Cristoph:

It's not by default a "trusted" device. You should be getting an offer to
make it trusted (or you can hit the "i" in the UI) to do so. Try turning it
off and back on and see that this happens.

On Wed, Oct 1, 2008 at 13:55, Christoph Langner
<email address hidden>wrote:

> Using 4.9-0ubuntu1~ppa7 here. Pairing of a BT mouse works, but when i
> reboot my computer the paring doesn't work any more. I can move the
> mouse, but the mouse cursor doesn't move. I've got to remove the mouse
> out of the "known devices" list and pair it again. I can reproduce this
> after every reboot.
>
> $ dpkg -l bluez* | grep ii
> ii bluez 4.9-0ubuntu1~ppa7 Bluetooth tools and daemons
> ii bluez-alsa 4.9-0ubuntu1~ppa7 Bluetooth audio support
> ii bluez-cups 4.9-0ubuntu1~ppa7 Bluetooth printer driver
> for CUPS
> ii bluez-gnome 1.7-0ubuntu1~ppa1 Bluetooth utilities for
> GNOME
> ii bluez-gstreamer 4.9-0ubuntu1~ppa7 Bluetooth gstreamer support
> ii bluez-utils 4.9-0ubuntu1~ppa7 Transitional package
>
> --
> Look into switching to bluez 4.x
> https://bugs.launchpad.net/bugs/274950
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Mario Limonciello
<email address hidden>

Harvey Muller (hlmuller) wrote :

Mario,

Up until this morning I have been testing Xubuntu Intrepid amd64 desktop, updated to yesterday afternoon. I use a Microsoft Bluetooth Notebook Mouse 5000. There were no problems with it in that installation.

I blew away my testing partition and Xubuntu to install the freshest Ubuntu Intrepid amd64 desktop. I added the PPA per your email this morning, and gave it a spin. I am unable to pair with the mouse using the GUI alone. It will not find the mouse, unless in a terminal I enter:

    $ sudo hidd --search

Then the mouse will pair and connect.

Mario Limonciello (superm1) wrote :

Harvey:
If you are able to run hidd --search, you are not using the latest
packages. Hidd is *not* available in these packages.

On Thu, Oct 2, 2008 at 11:23, Harvey Muller <email address hidden> wrote:

> Mario,
>
> Up until this morning I have been testing Xubuntu Intrepid amd64
> desktop, updated to yesterday afternoon. I use a Microsoft Bluetooth
> Notebook Mouse 5000. There were no problems with it in that
> installation.
>
> I blew away my testing partition and Xubuntu to install the freshest
> Ubuntu Intrepid amd64 desktop. I added the PPA per your email this
> morning, and gave it a spin. I am unable to pair with the mouse using
> the GUI alone. It will not find the mouse, unless in a terminal I
> enter:
>
> $ sudo hidd --search
>
> Then the mouse will pair and connect.
>
> --
> Look into switching to bluez 4.x
> https://bugs.launchpad.net/bugs/274950
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Mario Limonciello
<email address hidden>

Harvey Muller (hlmuller) wrote :

Mario,

dpkg -l bluez* results:

hmuller@mlab-1420:~$ dpkg -l bluez*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name Version Description
+++-======================================-======================================-============================================================================================
ii bluez-audio 4.9-0ubuntu1~ppa3 Bluetooth audio support
ii bluez-cups 4.9-0ubuntu1~ppa7 Bluetooth printer driver for CUPS
un bluez-firmware <none> (no description available)
ii bluez-gnome 1.7-0ubuntu1~ppa1 Bluetooth utilities for GNOME
pn bluez-input <none> (no description available)
rc bluez-network 3.36-1ubuntu2 Bluetooth network support
un bluez-passkey-gnome <none> (no description available)
pn bluez-serial <none> (no description available)
ii bluez-utils 3.36-1ubuntu2 Bluetooth tools and daemons

Mario Limonciello (superm1) wrote :

Harvey:

You don't have the bluez-utils from the 4.x series installed. Install that.

On Thu, Oct 2, 2008 at 11:53, Harvey Muller <email address hidden> wrote:

> Mario,
>
> dpkg -l bluez* results:
>
> hmuller@mlab-1420:~$ dpkg -l bluez*
> Desired=Unknown/Install/Remove/Purge/Hold
> |
> Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
> |/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err:
> uppercase=bad)
> ||/ Name Version
> Description
>
> +++-======================================-======================================-============================================================================================
> ii bluez-audio 4.9-0ubuntu1~ppa3
> Bluetooth audio support
> ii bluez-cups 4.9-0ubuntu1~ppa7
> Bluetooth printer driver for CUPS
> un bluez-firmware <none>
> (no description available)
> ii bluez-gnome 1.7-0ubuntu1~ppa1
> Bluetooth utilities for GNOME
> pn bluez-input <none>
> (no description available)
> rc bluez-network 3.36-1ubuntu2
> Bluetooth network support
> un bluez-passkey-gnome <none>
> (no description available)
> pn bluez-serial <none>
> (no description available)
> ii bluez-utils 3.36-1ubuntu2
> Bluetooth tools and daemons
>
> --
> Look into switching to bluez 4.x
> https://bugs.launchpad.net/bugs/274950
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Mario Limonciello
<email address hidden>

LordMephisto (lordmephisto86) wrote :

Hi guys,

I don't know whether I am right here or not, but in the german ubuntuforum someone told me that I should post my problems here. So whats up...
I have a problem with my bluetooth mice using ubuntu 8.10 and the 4.x (and the 3.x) packages for bluetooth. The cursor is moving like it takes drugs :-( It is very hard to make controled inputs with the mice and the battary is running low very fast! With the last Ubuntu version (8.04) I had no problems... I hope someone can help me!

greetings
Lord

Harvey Muller (hlmuller) wrote :

Mario,

That fixed the pairing problem. But I'm experiencing the same problem Cristoph reported above, that it doesn't work after reboot. I clicked the 'I' button as you've recommended, but that does not help. There is no offer to make it trusted. If I turn the mouse off and turn it back on again after successful pairing, then the mouse no longer works.

So the only workaround at this time is to use the applet Preferences to remove the device, restart the bluetooth service, and then set it up as a new device again.

Thanks,

Harvey

Harvey Muller (hlmuller) wrote :

Mario,

One more thing. I notice libbluetooth2 is installed alongside libbluetooth3. Should libbluetooth2 be uninstalled?

Harvey

Christoph Langner (chrissss) wrote :

> It's not by default a "trusted" device. You should be getting an offer to
> make it trusted (or you can hit the "i" in the UI) to do so. Try turning it
> off and back on and see that this happens.

There's no way to make the mouse a trusted device. Hitting "i" will open a search box. Turning on/off the star doesn't change it too (btw, there are no tool tips inside the gui - so what does the star mean?). When i turn my mouse off and on, i've got to delete it and pair it again...

Oliver Grawert (ogra) wrote :

testing four devcies here resulted in exactly one working (hey, thats at least one more than with 3.x)

 * foldable bluetooth freedom keyboard .
    - In HID mode: gets seen, but there is no way for me to input the device sided hardcoded PIN at the host, instead the host seems to generate a PIN and requires me to input something device side (which is not supported))
    - In SPP mode: makes bluetoothd segfault immediately on scan, sadly no apport integration to easily get a backtrace

 * navilock gps reciever:
    - Makes bluetoothd segfault immediately on scan, no way for me to input the device sided hardcoded PIN at the host, instead the host seems to generate a PIN and requires me to input something device side (which is not supported at the device as it has no keypad)

 * jabra BT headset:
   - pairs, generates the device hardcoded 0000 PIN, but alsa complains about not being able to set a proper bitrate using the test mentioned in the announcement mail

 * motorola razor mobile phone
  - pairs, host generates a PIN, PIN is accepted, fully browserable

generally: i found the icons less than intuitive, it is not clear if the button ith the plug is for connect or disconnect, it is not clear what the star is for (tooltips FTW ;) )

Doug Anson (doug-anson) wrote :

Tried latest bluez updates from supermario on my D630 - results below
 - Installed an updated normally in Intrepid
 - BT radio recognized on boot up
 - BT mouse association and usage works as expected - no issues noted
 - BT a2dp stereo headset association succeeds - but audio plumbing underneath still not being handled by BT association process
    - still need to hand create ~/.asoundrc and populate it to get things working - Grandma won't understand this. ;-) ;-)

The BT experience with audio will be dramatically simpified if we can entice the BT association wizard to setup the audio plumbing underneath the hood - ideally it would be great to have a simple "toggle" that permits users to switch back and forth between their BT headset and the standard speaker output.

Great progress though! BT is definitely improving!

Christoph Langner (chrissss) wrote :

A shot update: HTC Prophet with WM 6.1:

 * Pariring works
 * Sending files to the device works
 * Receiving files from the pda fails
 * Browsing the pda fiails
---
Could not display "obex://[00:12:D1:44:39:EC]/".
Fehler: Service search failed
Bitte wählen Sie einen anderen Betrachter und versuchen Sie es erneut.
---

Dustin Kirkland  (kirkland) wrote :

Thinkpad X61 as Bluetooth host
Palm Treo 755p
Jabra Headset

Success:
 * Both devices pair very easily
 * I can send files from the laptop to the Treo

No Success Yet:
 * Sending files from the Treo to the Laptop
 * Syncing/backing up the Treo to the Laptop
 * Dial-up networking through my Treo and cellular provider from the Laptop
 * Playing sound via also device to the Headset
 * Recording voice from the headset to alsa on the Laptop

All of these were working for me back in the Gutsy time frame, but
have been broken through Hardy and Intrepid.

:-Dustin

Oups, wrong choice ...
Is someone able to remove this component?

Changed in bluez-utils:
status: New → Invalid

I added nautilus-sendto to package to work on; we need version 1.1.0 which brings support of BlueZ 4.x.
I've opened bug #278694 for this purpose.

I've made the package nautilus-sendto available in my ppa, could you test it?

Changed in nautilus-sendto:
assignee: nobody → bmillemathias
status: New → In Progress
Christoph Langner (chrissss) wrote :

> I've made the package nautilus-sendto available in my ppa, could you test it?

I'm trying to transfer a file from Intrepid to a HTC Prophet running WM6.1. With nautilus-sendto 1.1.0-0ubuntu1~ppa1 i can choose Bluetooth as transfer option again, but when i try to send a file i get the error message

"Obex Push file transfer unsupported"

I added your whole PPA to my sources.list. So i shouldn't have all necessary packages installed.

Mario Limonciello (superm1) wrote :

Christoph:
Your issue about trusted devices should be addressed in bluez-gnome 1.8-0ubuntu1~ppa2 which was uploaded to the PPA this morning. It will only affect newly paired devices however.

Christoph Langner (chrissss) wrote :

> Your issue about trusted devices should be addressed in bluez-gnome 1.8-0ubuntu1~ppa2 which was uploaded to the PPA this morning. It will only affect newly paired devices however.

Yep noticed that. After a reboot my mouse worked immediately inside GDM. It looks like you fixed these issues.

Harvey Muller (hlmuller) wrote :

Mario,

The trusted device issue is resolved for newly paired devices.

Having tested both the 3.x and 4.x versions with suspend / hibernate, there is an unexpected positive side effect. When suspending / hibernating with an attached bluetooth mouse, the second suspend / hibernate caused connection problems using the 3.x version. The 4.x version does not have this problem.

Harvey

Steve Langasek (vorlon) wrote :

I've tested the ppa here, and while it's unfortunately still not as functional as bluetooth was for me in hardy, 4.x appears to be regression-free wrt 3.x for all my tests in intrepid.

Freeze exception granted - please upload ASAP.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package obex-data-server - 0.3.4+svn1951-0ubuntu1

---------------
obex-data-server (0.3.4+svn1951-0ubuntu1) intrepid; urgency=low

  * Pull an upstream snapshot for BlueZ 4.x compatibility. (LP: #274950)
  * debian/rules:
    - Add a get-svn-source target for building upstream snapshot
      from svn.
  * debian/patches/000-test-server-usage.patch:
    - Remove, as a variant is now upstream.
  * debian/control:
    - Add libmagick9-dev as build depends.
    - Adjust to local ubuntu bzr until debian svn catches up.

 -- Mario Limonciello <email address hidden> Tue, 07 Oct 2008 14:21:51 -0500

Changed in obex-data-server:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bluez-gnome - 1.8-0ubuntu1

---------------
bluez-gnome (1.8-0ubuntu1) intrepid; urgency=low

  [ Mario Limonciello ]
  * New upstream version (LP: #274950)
  * debian/control:
    - Update Recommends for bluetooth to bring in the bluetooth stack.
  * debian/patches:
    - Drop 05_hildon_ui for now since it doesn't work properly.
    - Drop 80_from_fedora_fix_nautilus_sendto_compatibility.patch as not necessary.
    - Drop 99_automake for now too.
    - Add 04_bluetooth-sendto-ods-svn.patch from F10 to let this work with SVN
      obex-data-server.
    - Add 05_bluetooth_sendto_dbus-snd.patch to make this more functional
      w/ SVN obex-data-server.
    - Add 07_null_device_name.patch to prevent showing "(null)" in wizard.

  [ Emmet Hikory ]
  * Add 06_preferences-horizontal-layout.patch for 800x600 support.

 -- Mario Limonciello <email address hidden> Tue, 07 Oct 2008 14:33:11 -0500

Changed in bluez-gnome:
status: In Progress → Fix Released
Mario Limonciello (superm1) wrote :

bluez (4.12-0ubuntu1) intrepid; urgency=low

  * Initial Release. (LP: #274950)
    - This package replaces bluez-utils and bluez-libs source packages.
    - It was generated by merging the contents of bluez-utils and bluez-libs
      and updating content.
    - Legacy functionality for hidd, dund, and pand are not present, and
      have been removed from all configuration files.
  * This release introduces encryption (LP: #182191)
  * debian/patches:
    - bluez-utils-oui-usage.patch was borrowed from the Fedora 10 packaging.
    - sco-connect-git.patch was taken from bluez git shortly after 4.12 release.
      It should "help" with some sco headset issues.
  * debian/control:
    - Update different packages per upstream's recommendations.
    - Update conflicts/replaces for earlier packages.
    - Add a transitional bluez-utils package to help with the transition.

 -- Mario Limonciello < <email address hidden>> Tue, 07 Oct 2008 12:10:29 -0500

Changed in bluez-utils:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gvfs - 1.0.1-0ubuntu2

---------------
gvfs (1.0.1-0ubuntu2) intrepid; urgency=low

  * Add debian/patches/updated_obex_apis.patch from F10 & upstream gvfs
    for making the OBEX backend work with Bluez 4.x and svn snapshots of
    obex-data-server. (LP: #274950)

 -- Mario Limonciello <email address hidden> Tue, 07 Oct 2008 14:57:13 -0500

Changed in gvfs:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-user-share - 0.31-3ubuntu1

---------------
gnome-user-share (0.31-3ubuntu1) intrepid; urgency=low

  * debian/patches/02_bluez4-update.patch: stolen from fedora to support bluez
    4.x (LP: #274950)

 -- Baptiste Mille-Mathias <email address hidden> Sat, 27 Sep 2008 18:35:22 +0200

Changed in gnome-user-share:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package alsa-lib - 1.0.17a-0ubuntu4

---------------
alsa-lib (1.0.17a-0ubuntu4) intrepid; urgency=low

  [ Mario Limonciello ]
  * debian/patches/bluetooth_configuration.patch:
    - Adds a pointer to the bluetooth configuration file.
      If a user has bluez-audio installed and a heaset paired
      this will allow them to use a headset by the name of
      "headset" (LP: #274950)

  [ Luke Yelavich ]
  * Add files to /etc/ld.so.conf.d for libasound2 and libasound2 bi-arch
    packages. This Allows for alsa plugins to be referred to in alsa
    configuration files without the need for absolute paths, the pulseaudio
    runtime check is one such example. (LP: #273693)

 -- Luke Yelavich <email address hidden> Tue, 07 Oct 2008 17:49:28 +1100

Changed in alsa-lib:
status: In Progress → Fix Released

Would it be possible to upload version 0.40 for gnome-user-share instead of 0.31 + patches for Bluez 4.x ?

I've made this version available in my ppa for few days.

Regards

So It seems it is necessary to have trunk version of gnome-user-share to support BlueZ 4.x.
What should we do now? do a package with the trunk or a package of 0.40 plus a diff from the trunk ?

Regards

I tested the package nautilus-sendto from the Nathan PPA, and from the BlueZ 4.x support point of view, it works fine.
I second the request to upload this version.

Cheers

Changed in nautilus-sendto:
assignee: bmillemathias → nhandler
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus-sendto - 1.1.0-0ubuntu1

---------------
nautilus-sendto (1.1.0-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #278694)
    - Compatible with BlueZ 4.x (LP: #274950)
  * Update description and suggests in debian/{control,control.in} for
    claws-mail instead of sylpheed-claws. Also update debian/README.debian
    to mention claws-mail instead of sylpheed-claws. (LP: #138010)

 -- Nathan Handler <email address hidden> Mon, 06 Oct 2008 16:30:51 -0500

Changed in nautilus-sendto:
status: In Progress → Fix Released

I hate to say it, but my current (1.1.0-0ubuntu1) nautilus-sendto still gives me the "Obex Push file transfer unsupported" error on a current intrepid (bluez 4.12) install. Sending via tray icon ("Send files to device") works however...

Bernhard,

please refer to bug 282325 instead of this one which is generic for migration.

thanks a lot

Cássio Freitas (ksfreitas) wrote :

I have this problem on send or receive file in a Nokia N95 (Ubuntu 8.10 updated today):
Method "CreateBluetoothSession" with signature "sss" on interface "org.openobex.Manager" doesn't exist
Pairing device ok. Just in obex:// protocol.

gnome-bluez 1.8
obex-data-server 0.4.3
Bluetooth dongle: Motorola PCS Bluetooth Device

Cássio Freitas (ksfreitas) wrote :

This bug persists.

Changed in bluez:
status: Fix Released → Incomplete
Christoph Langner (chrissss) wrote :

@Cássio Freitas
Please open a new bug, this "bug" fulfilled it's purpose.

Changed in bluez:
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers